/*
 * Copyright (C) 2011-2013 Eiichiro Uchiumi. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 *     
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.eiichiro.bootleg;

/**
 * {@code EndpointInvocationFailedException} wraps the exception thrown by Web 
 * endpoint invocation.
 * 
 * @author <a href="mailto:eiichiro@eiichiro.org">Eiichiro Uchiumi</a>
 */
public class EndpointInvocationFailedException extends WebException {

	private static final long serialVersionUID = -459879054712126224L;

	/**
	 * Constructs a new {@code EndpointInvocationFailedException} with the 
	 * specified HTTP status code and the cause exception.
	 * 
	 * @param status HTTP status code that describes the reason.
	 * @param cause The cause exception.
	 */
	public EndpointInvocationFailedException(int status, Throwable cause) {
		super(status, cause.getMessage(), cause);
	}
	
}
